# LemonLDAP::NG in Docker

## Presentation

Docker allows do run application into containers.

You can find a Docker image for LemonLDAP::NG in this repository: https://hub.docker.com/r/coudot/lemonldap-ng/

See also this github project: https://github.com/coudot/lemonldap-ng-docker

## Usage

Prerequisites:

- Add auth.example.com/manager.example.com/test1.example.com/test2.example.com to /etc/hosts on the host

    sudo echo "127.0.0.1 auth.example.com manager.example.com test1.example.com test2.example.com" >> /etc/hosts

- Map the container port 80 to host port 80 (option -p)
- Add reload.example.com to /etc/hosts in the container (option –add-host)

    docker run -d --add-host reload.example.com:127.0.0.1 -p 80:80 coudot/lemonldap-ng

Then connect to http://auth.example.com with your browser and log in with dwho/dwho.